### Signal

# Gtk ListBox::move-cursor

#### Declaration

    void
    move_cursor (
      GtkListBox* self,
      GtkMovementStep* step,
      gint count,
      gboolean extend,
      gboolean modify,
      gpointer user_data
    )

#### Description [src]

Emitted when the user initiates a cursor movement.

The default bindings for this signal come in two variants, the variant with the Shift modifier extends the selection, the variant without the Shift modifier does not. There are too many key combinations to list them all here.

- `←`, `→`, `↑`, `↓` move by individual children
- `Home`, `End` move to the ends of the box
- `PgUp`, `PgDn` move vertically by pages.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`step`

  Type: `GtkMovementStep`

  The granularity of the move, as a `GtkMovementStep`.

  The data is owned by the caller of the function.

`count`

  Type: `gint`

  The number of `step` units to move.

`extend`

  Type: `gboolean`

  Whether to extend the selection.

`modify`

  Type: `gboolean`

  Whether to modify the selection.